ChangeSet 1.865.28.9, 2002/12/19 12:10:31-08:00, oliver@neukum.name

[PATCH] USB: speedtouch possible deadlock in atm_close path

this removes the spinlocks in close, so that
the synchronous unlinking is safe.


diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Sun Dec 22 00:40:19 2002
+++ b/drivers/usb/misc/speedtouch.c	Sun Dec 22 00:40:19 2002
@@ -614,9 +614,7 @@
 int udsl_usb_cancelsends (struct udsl_instance_data *instance, struct atm_vcc *vcc)
 {
 	int i;
-	unsigned long flags;
 
-	spin_lock_irqsave (&instance->sndqlock, flags);
 	for (i = 0; i < UDSL_NUMBER_SND_URBS; i++) {
 		if (!instance->send_ctx[i].skb)
 			continue;
@@ -628,7 +626,6 @@
 			instance->send_ctx[i].skb = NULL;
 		}
 	}
-	spin_unlock_irqrestore (&instance->sndqlock, flags);
 
 	return 0;
 }
